Produkter · Ta bort · Utkast
Den här åtgärden har tagits bort och ger 409 utan att ändra data. Ange åtkomst för varje digital fil genom att välja mottagare.
DELETE
/api/v1/products/{product_id}/file-releases/{release_id}cURL-begäran
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request DELETE \
--url 'https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001?expected_version=1' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-delete_draft_api_v1_products__product_id__file_releases__release_id__delete'
Svar
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}
Behörigheter som krävs
- Autentisering
- Åtkomsttoken
- Tillgänglig från
- STANDARD
- Nyckelns behörighet
- Hantera produktfiler · Digitala produkter
catalog.product_file:write_digital